/* Sample code using the Chunks and Tasks programming model.
 * See <http://www.chunks-and-tasks.org>.
 */
#include "test_tools.h"

template<>
void set_block_size<bsm::BlockSparseMatrix<double> >(bsm::BlockSparseMatrix<double>::Params & param, int blocksize) {
  param.blocksize = blocksize;
}

template<>
void set_block_size<bsm::BlockSparseMatrix<float> >(bsm::BlockSparseMatrix<float>::Params & param, int blocksize) {
  param.blocksize = blocksize;
}

template<>
void set_block_size<hbsm::HierarchicalBlockSparseMatrix<double> >(hbsm::HierarchicalBlockSparseMatrix<double>::Params & param, int blocksize) {
  param.blocksize = blocksize;
}

template<>
void set_block_size<hbsm::HierarchicalBlockSparseMatrix<float> >(hbsm::HierarchicalBlockSparseMatrix<float>::Params & param, int blocksize) {
  param.blocksize = blocksize;
}
